%define name	gsnmp
%define lib_major	0
%define	lib_name	%mklibname gsnmp %{lib_major}

Summary:	An SNMP library implementation based on glib and gnet
Name:		%{name}
Version:	0.2.0
Release:	%mkrel 1
License:	GPL
Group:		Networking/Other

Source0:	ftp://ftp.ibr.cs.tu-bs.de/pub/local/scli/%{name}-%{version}.tar.bz2
Url:		http://www.ibr.cs.tu-bs.de/projects/scli/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libxml2-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	libglib2-devel
BuildRequires:	libgnet2-devel

%description
GNET-SNMP is an SNMP library implementation based on glib and gnet. This library 
has been developed as part of the scli package (an SNMP command line interface). 
Some examples demonstrating the API can be found in the examples directory. Some
examples use stub files generated by the smidump MIB compiler, which is part of 
the libsmi package.

%package -n	%{lib_name}
Summary:	A library of functions for the snmp protocol
Group:		System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libgsnmp.

%package -n 	%{lib_name}-devel
Summary:	Development tools for the snmp protocol
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release} glib2-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the header files and libraries
necessary for developing programs using libgsnmp.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README 
%{_bindir}/gsnmp-get
%{_mandir}/man1/gsnmp-get.1.bz2

%files -n %{lib_name}
%{_libdir}/libgsnmp.so.*

%files -n %{lib_name}-devel
%{_includedir}/%{name}
%{_libdir}/libgsnmp.a
%{_libdir}/libgsnmp.la
%{_libdir}/libgsnmp.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4


%changelog
* Tue Jan 16 2007 Crispin Boylan <crisb@mandriva.org> 0.2.0-1mdv2007.0
+ Revision: 109642
- Initial mandriva package
- Create gsnmp

